package com.steerinfo.baseinfo.meterbasedatamigration.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="数据迁移配置表")
public class MeterBaseDataMigration implements IBasePO<String> {
    /**
     * 配置编号(DATA_MIGRATION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="配置编号",required=true)
    private String dataMigrationNo;

    /**
     * 迁出表名(COUNT_TYPE_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="迁出表名",required=true)
    private String countTypeNo;

    /**
     * 迁出条件表达式(RATE_VALUE,VARCHAR,400)
     */
    @ApiModelProperty(value="迁出条件表达式",required=true)
    private String rateValue;

    /**
     * 迁入表名(CONTRAST_TYPE_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="迁入表名",required=true)
    private String contrastTypeNo;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 迁移数量(MIGRATION_NUM,DECIMAL,4)
     */
    @ApiModelProperty(value="迁移数量",required=false)
    private Short migrationNum;

    /**
     * 迁出表主键(COUNT_PK,VARCHAR,20)
     */
    @ApiModelProperty(value="迁出表主键",required=false)
    private String countPk;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.dataMigrationNo;
    }

    @Override
    public void setId(String dataMigrationNo) {
        this.dataMigrationNo = dataMigrationNo == null ? null : dataMigrationNo.trim();
    }

    public String getDataMigrationNo() {
        return dataMigrationNo;
    }

    public void setDataMigrationNo(String dataMigrationNo) {
        this.dataMigrationNo = dataMigrationNo == null ? null : dataMigrationNo.trim();
    }

    public String getCountTypeNo() {
        return countTypeNo;
    }

    public void setCountTypeNo(String countTypeNo) {
        this.countTypeNo = countTypeNo == null ? null : countTypeNo.trim();
    }

    public String getRateValue() {
        return rateValue;
    }

    public void setRateValue(String rateValue) {
        this.rateValue = rateValue == null ? null : rateValue.trim();
    }

    public String getContrastTypeNo() {
        return contrastTypeNo;
    }

    public void setContrastTypeNo(String contrastTypeNo) {
        this.contrastTypeNo = contrastTypeNo == null ? null : contrastTypeNo.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Short getMigrationNum() {
        return migrationNum;
    }

    public void setMigrationNum(Short migrationNum) {
        this.migrationNum = migrationNum;
    }

    public String getCountPk() {
        return countPk;
    }

    public void setCountPk(String countPk) {
        this.countPk = countPk == null ? null : countPk.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", dataMigrationNo=").append(dataMigrationNo);
        sb.append(", countTypeNo=").append(countTypeNo);
        sb.append(", rateValue=").append(rateValue);
        sb.append(", contrastTypeNo=").append(contrastTypeNo);
        sb.append(", memo=").append(memo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", migrationNum=").append(migrationNum);
        sb.append(", countPk=").append(countPk);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}